Bulk Send Emails
curl --request POST \
--url http://api.stuut.ai/v1/emails/bulk/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"<string>"
]
}
'import requests
url = "http://api.stuut.ai/v1/emails/bulk/send"
payload = { "emails": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: ['<string>']})
};
fetch('http://api.stuut.ai/v1/emails/bulk/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"object": "<string>",
"thread_id": "<string>",
"id": "<string>",
"attachments": [
{
"mime_type": "<string>",
"name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"content_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"disposition": "<string>",
"is_verified": true,
"modified_at": "2023-11-07T05:31:56Z",
"presigned_url": "<string>",
"presigned_url_expires_at": "2023-11-07T05:31:56Z",
"purpose": "<string>",
"remote_id": "<string>",
"size": 123,
"src": "<unknown>",
"user_id": "<string>"
}
],
"author": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"author_id": "<string>",
"bcc": [
"<string>"
],
"body": "<string>",
"bounced_addresses": [
"<string>"
],
"bulk_email_request_id": "<string>",
"cc": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"custom_headers": "<unknown>",
"email_reason": "<string>",
"email_sender": {
"email": "<string>",
"object": "<string>",
"reply_to": "<string>",
"user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"is_nylas_connection": true,
"is_nylas_grant_expired": true,
"is_shared": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"provider": "<string>",
"reply_to_name": "<string>",
"signature_html": "<string>"
},
"email_sender_id": "<string>",
"error_message": "<string>",
"from_email": "<string>",
"generated_body": "<string>",
"is_automated": true,
"is_generated": true,
"is_originated_in_stuut": true,
"is_unread": true,
"modified_at": "2023-11-07T05:31:56Z",
"parent_email_id": "<string>",
"participants": [
"jsmith@example.com"
],
"remote_id": "<string>",
"remote_links": [
{
"email_id": "<string>",
"email_sender_id": "<string>",
"object": "<string>",
"remote_id": "<string>",
"remote_thread_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"reply_to": [
"<string>"
],
"send_separately": true,
"sent_at": "2023-11-07T05:31:56Z",
"sent_by_id": "<string>",
"snippet": "<string>",
"subject": "<string>",
"to": [
"<string>"
]
}
],
"current_page": 0,
"total_records": 0,
"next_page": null
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Emails
Bulk Send Emails
POST
/
v1
/
emails
/
bulk
/
send
Bulk Send Emails
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum array length:
1The Email identifier, (e.g. eml_abc123).
⌘I
